Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.validator.metadata
Class FieldExpressionValidatorDescription

    java.lang.Object
      com.opensymphony.xwork2.validator.metadata.AbstractFieldValidatorDescription
          com.opensymphony.xwork2.validator.metadata.FieldExpressionValidatorDescription

All Implemented Interfaces:
  ValidatorDescription

    public class FieldExpressionValidatorDescription

extends AbstractFieldValidatorDescription

`FieldExpressionValidatorDescription`

Version:
  $Id: FieldExpressionValidatorDescription.java 1187 2006-11-13 09:05:32 +0100 (Mon, 13 Nov 2006) mrdon $
Author:
  Rainer Hermanns

Field Summary
`String` | `expression`
`String` | `key`
`String` | `message`
`boolean` | `shortCircuit`

Fields inherited from class com.opensymphony.xwork2.validator.metadata.AbstractFieldValidatorDescription
`fieldName, log, simpleValidator`

Constructor Summary
`FieldExpressionValidatorDescription()`
`FieldExpressionValidatorDescription(String fieldName)` Creates an AbstractFieldValidatorDescription with the specified field name.

Method Summary
`String` | `asFieldXml()` Returns the validator XML definition.
`String` | `asSimpleXml()` Returns the validator XML definition.
`void` | `setExpression(String expression)`
`void` | `setKey(String key)` Sets the I18N message key.
`void` | `setMessage(String message)` Sets the default validator failure message.
`void` | `setShortCircuit(boolean shortCircuit)` Set the shortCircuit flag.

Methods inherited from class com.opensymphony.xwork2.validator.metadata.AbstractFieldValidatorDescription
`asXml, getFieldName, isSimpleValidator, setFieldName, setSimpleValidator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### expression

    public String expression

### key

    public String key

### message

    public String message

### shortCircuit

    public boolean shortCircuit

Constructor Detail

### FieldExpressionValidatorDescription

    public FieldExpressionValidatorDescription()

### FieldExpressionValidatorDescription

    public FieldExpressionValidatorDescription(String fieldName)

  Creates an AbstractFieldValidatorDescription with the specified field name.

  Parameters:
    `fieldName` -

Method Detail

### setExpression

    public void setExpression(String expression)

### setKey

    public void setKey(String key)

  Description copied from class: `AbstractFieldValidatorDescription`
  Sets the I18N message key.

  Specified by:
    `setKey` in interface `ValidatorDescription`
  Overrides:
    `setKey` in class `AbstractFieldValidatorDescription`
  Parameters:
    `key` - the I18N message key

### setMessage

    public void setMessage(String message)

  Description copied from class: `AbstractFieldValidatorDescription`
  Sets the default validator failure message.

  Specified by:
    `setMessage` in interface `ValidatorDescription`
  Overrides:
    `setMessage` in class `AbstractFieldValidatorDescription`
  Parameters:
    `message` - the default validator failure message

### setShortCircuit

    public void setShortCircuit(boolean shortCircuit)

  Description copied from class: `AbstractFieldValidatorDescription`
  Set the shortCircuit flag.

  Specified by:
    `setShortCircuit` in interface `ValidatorDescription`
  Overrides:
    `setShortCircuit` in class `AbstractFieldValidatorDescription`
  Parameters:
    `shortCircuit` - the shortCircuit flag.

### asFieldXml

    public String asFieldXml()

  Returns the validator XML definition.

  Specified by:
    `asFieldXml` in class `AbstractFieldValidatorDescription`
  Returns:
    the validator XML definition.

### asSimpleXml

    public String asSimpleXml()

  Returns the validator XML definition.

  Specified by:
    `asSimpleXml` in class `AbstractFieldValidatorDescription`
  Returns:
    the validator XML definition.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 OpenSymphony. All Rights Reserved.